Subject: Bug#342: Seamless / rootless apps don't resize in KDE/Kwin

From: Wil <[email-masked]>
Date: Sun, 17 Nov 2013 00:04:22 +0000

Package: x2goclient 4.0.1.1-0~427~ubuntu12.04.1
Version: 4.0.1.1 (from x2go stable)

Ubuntu 12.04.2 LTS
3.2.0-51-generic-pae #77-Ubuntu SMP Wed Jul 24 20:40:32 UTC 2013 i686
Qt: 4.8.1
KDE Development Platform: 4.8.5 (4.8.5) KDE Daemon: $Id$

When trying to resize a rootless window in kde with kwin window manager the
resize appears blocked. It's possible to resize the window a tiny bit and
then it stops resizing (the resize cursor is still showing though). If all
the affects and compositing are turned off occasionally it will start
working. It seems worse after the application has just been started and when
the resizing kicks in it does seem to keep working. The problem seems to go
away if metacity is chosen as the window manager (obviously this is less
than ideal as a lot of kde functionality is disabled and metacity themes
often feature very fiddly resize borders).